<?php
/* -----------------------------------------------------------------------------
 *  MySQLi classのAPI接続： MySQLiオブジェクト指向接続の「継承クラス」の利用例
 *  2016.06.28 作成 yoshi of CXMedia Inc.
 * -----------------------------------------------------------------------------
 */
// MySQLiクラスを拡張（extends）したclassのロード
require_once "php_class/MySQLi_e.class.php";

// MySQLデータベース接続の初期設定
$db_define = array(
	'DBhost'  => 'localhost',    //接続サーバ（URL）
	'DBuser'  => 'user',         //DB接続のユーザ名
	'DBpwd'   => 'eLerning_PWD', //DB接続のパスワード
	'DBname'  => 'list_db',      //接続データベース名
	'DBtblm'  => 'persons',      //テーブル名
);
// MySQLi接続のインスタンス生成
$db = new MySQLi_e($db_define);

// MySQL接続の成功メッセージ表示
echo "■MySQL:「{$db->DBname}」のデータベース接続（オブジェクト指向型）に成功！",'<br>';

// オブジェクト生成した時のプロパティであるテーブル内容表示
echo "------------------ テーブル構成 --------------\n";
echo '<pre>';
print_r($db->DBfields);     // テーブルのフィールド名
print_r($db->DBfieldType);  // テーブルのフィールド・データ型
print_r($db->DBfieldDaft);  // テーブルのフィールド・デフォルト値
echo "------------------ [ 構成 end ] --------------<br>";

// SQL文の作成
$sql = "SELECT * FROM ".$db->DBtblm;
// 継承クエリメソッド：「Query()」の実行
$db->Query($sql);

// レコード件数メソッド：「Rowcount()」の実行
echo 'レコード件数：',$db->Rowcount(),'<br>';

// 継承クエリ結果を連想配列取得のメソッド：「Fetch()」でレコード終りまでのデータ読み出し
while ( $data = $db->Fetch('assoc')){
	print_r($data);
}
echo '</pre>';

// 継承のDBクローズメソッド：「Close()」の実行
$db->Close();

?>
